Name:      ibus-table-chinese
Summary:   ibus-chinese - table-based engine
Epoch:     1
Version:   1.4.6
Release:   %mkrel 3
Group:     System/Internationalization
License:   GPLv3+
URL:       http://code.google.com/p/ibus/
Source0:   http://ibus.googlecode.com/files/%{name}-%{version}-Source.tar.gz
Source1:   https://fedorahosted.org/releases/c/m/cmake-fedora/cmake-fedora-modules-only-latest.tar.gz
BuildRequires: ibus-table-devel >= 1.3.0
BuildRequires: ibus-devel >= 1.3.9-3
BuildRequires: cmake
BuildArch:	noarch

%description
ibus-table-chinese provide the following input method tables for IBus-Table.

%package -n ibus-table-erbi
Group: System/Internationalization
Summary: ibus-erbi - table-based engine
Requires: ibus-table >= 1.3.0

%description -n ibus-table-erbi
ibus-table-erbi provides ErBi input method on IBus Table under IBus framework.

%files -n ibus-table-erbi
%{_datadir}/ibus-table/icons/erbi*
%{_datadir}/ibus-table/tables/erbi*.db

%package -n ibus-table-wu
Group: System/Internationalization
Summary: ibus-wu - table-based engine
Requires: ibus-table >= 1.3.0

%description -n ibus-table-wu
ibus-table-wu provides wu input method on IBus Table under IBus framework.

%files -n ibus-table-wu
%{_datadir}/ibus-table/icons/wu.png
%{_datadir}/ibus-table/tables/wu.db

%package -n ibus-table-wubi
Group: System/Internationalization
Summary: ibus-wubi - table-based engine
Requires: ibus-table >= 1.3.0

%description -n ibus-table-wubi
ibus-table-wubi provides wubi86 input method on IBus Table under IBus framework.
%files -n ibus-table-wubi
%{_datadir}/ibus-table/icons/wubi*86.svg
%{_datadir}/ibus-table/tables/wubi*86.db

%package -n ibus-table-yong
Group: System/Internationalization
Summary: ibus-yong - table-based engine
Requires: ibus-table >= 1.3.0

%description -n ibus-table-yong
ibus-table-yong provides yong input method on IBus Table under IBus framework.

%files -n ibus-table-yong
%{_datadir}/ibus-table/icons/yong*
%{_datadir}/ibus-table/tables/yong*.db

%package -n ibus-table-stroke5
Group: System/Internationalization
Summary: ibus-stroke5 - table-based engine
Requires: ibus-table >= 1.3.0

%description -n ibus-table-stroke5
ibus-table-stroke5 provides stroke5 input method on IBus Table under IBus framework.

%files -n ibus-table-stroke5
%{_datadir}/ibus-table/icons/stroke5*
%{_datadir}/ibus-table/tables/stroke5*.db

%package -n ibus-table-cangjie
Group: System/Internationalization
Summary: ibus-cangjie - table-based engine
Requires: ibus-table >= 1.3.0
Obsoletes: ibus-table-quick < 1.2.0.20100106

%description -n ibus-table-cangjie
ibus-table-cangjie provide CangJie input methods on IBus Table under IBus framework.

%files -n ibus-table-cangjie
%{_datadir}/ibus-table/icons/cangjie-big.png
%{_datadir}/ibus-table/icons/cangjie3.svg
%{_datadir}/ibus-table/icons/cangjie5.svg
%{_datadir}/ibus-table/icons/easy-big.png
%{_datadir}/ibus-table/icons/quick-classic.png
%{_datadir}/ibus-table/icons/quick3.png
%{_datadir}/ibus-table/icons/quick5.png
%{_datadir}/ibus-table/icons/scj6.svg
%{_datadir}/ibus-table/tables/cangjie-big.db
%{_datadir}/ibus-table/tables/cangjie3.db
%{_datadir}/ibus-table/tables/cangjie5.db
%{_datadir}/ibus-table/tables/easy-big.db
%{_datadir}/ibus-table/tables/quick-classic.db
%{_datadir}/ibus-table/tables/quick3.db
%{_datadir}/ibus-table/tables/quick5.db
%{_datadir}/ibus-table/tables/scj6.db

%package -n ibus-table-cantonese
Group: System/Internationalization
Summary: ibus-cantonese - table-based engine
Requires: ibus-table >= 1.3.0

%description -n ibus-table-cantonese
ibus-table-cantonese provides cantonese input method on IBus Table under IBus framework.

%files -n ibus-table-cantonese
%{_datadir}/ibus-table/icons/cantonese.png
%{_datadir}/ibus-table/icons/cantonhk.png
%{_datadir}/ibus-table/icons/jyutping.png
%{_datadir}/ibus-table/tables/cantonese.db
%{_datadir}/ibus-table/tables/cantonhk.db
%{_datadir}/ibus-table/tables/jyutping.db

%package -n ibus-table-array30
Group: System/Internationalization
Summary: ibus-array30 - table-based engine
Requires: ibus-table >= 1.3.0

%description -n ibus-table-array30
ibus-table-array30 provides array30 input method on IBus Table under IBus framework.

%files -n ibus-table-array30
%{_datadir}/ibus-table/icons/array30-big.png
%{_datadir}/ibus-table/icons/array30.png
%{_datadir}/ibus-table/tables/array30-big.db
%{_datadir}/ibus-table/tables/array30.db

#---------------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}-Source -a1

%build
cmake . -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} -DDATA_DIR:PATH=%{_datadir}
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

rm -rf %buildroot%_datadir/doc

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1:1.4.6-3.mga4
+ Revision: 505959
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1:1.4.6-2.mga3
+ Revision: 354093
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 10 2012 fwang <fwang> 1:1.4.6-1.mga3
+ Revision: 329343
- update tarballdir
- new version 1.4.6

* Wed Nov 28 2012 fwang <fwang> 1:1.4.5-1.mga3
+ Revision: 322506
- drop empty section
- new version 1.4.5

* Thu Oct 11 2012 fwang <fwang> 1:1.4.0.20121008-1.mga3
+ Revision: 304627
- add fedora module
- new version 1.4.0.20121008

* Wed Sep 19 2012 fwang <fwang> 1:1.4.0-1.mga3
+ Revision: 296107
- new version 1.4.0

* Sun Nov 06 2011 fwang <fwang> 1:1.3.5-1.mga2
+ Revision: 164128
- new version 1.3.5

* Sat Sep 03 2011 fwang <fwang> 1:1.3.4-1.mga2
+ Revision: 138103
- new version 1.3.4

* Sun Jun 26 2011 fwang <fwang> 1:1.3.1-1.mga2
+ Revision: 114090
- new version 1.3.1

* Fri Mar 18 2011 tv <tv> 1:1.3.0.20101126-1.mga1
+ Revision: 73626
- imported package ibus-table-chinese


* Tue Nov 30 2010 Funda Wang <fwang@mandriva.org> 1:1.3.0.20101126-1mdv2011.0
+ Revision: 603422
- extra phrase not needed
- new version 1.3.0.20101126

* Tue Jul 27 2010 Funda Wang <fwang@mandriva.org> 1:1.3.0.20100527-3mdv2011.0
+ Revision: 561875
- rebuild for missing packages

* Sat Jul 24 2010 Funda Wang <fwang@mandriva.org> 1:1.3.0.20100527-2mdv2011.0
+ Revision: 558246
- split ibus-table-wubi into correct package

* Sat Jul 24 2010 Funda Wang <fwang@mandriva.org> 1:1.3.0.20100527-1mdv2011.0
+ Revision: 558222
- add epoch for ibus-table-cangjie
- drop old code
- import ibus-table-chinese


